class SassScaffold
  SETTINGS_DIR = "settings"
  SECTIONS_DIR = "sections"
  SETTINGS_FILES = ["sizes", "fonts", "colors", "mixins", "breakpoints"]
  SECTION_FILES = ["base", "header", "footer"]
  BASE_FILE_NAME = "style"
  def self.build
    #build settings directory
    Dir.mkdir SETTINGS_DIR
    Dir.chdir SETTINGS_DIR
    SETTINGS_FILES.each do |f|      
      File.new("_#{f}.scss", "w").close
    end
    File.open("_#{SETTINGS_DIR}.scss", "w+") do |file|
      SETTINGS_FILES.each do |f|
        file.write("@import \"#{f}\";\n")
      end
    end
    #move out of settings dir
    Dir.chdir ".."
    Dir.mkdir SECTIONS_DIR
    Dir.chdir SECTIONS_DIR
    #build basic sections
    SECTION_FILES.each do |f|      
      File.new("#{f}.scss", "w").close
    end
    #move back out and build base file
    Dir.chdir ".."    
    File.open("#{BASE_FILE_NAME}.scss", "w+") do |file|
      file.write("@import \"#{SETTINGS_DIR}/#{SETTINGS_DIR}\";\n\n")
      SECTION_FILES.each do |f|      
        file.write("@import \"#{SECTIONS_DIR}/#{f}\";\n")
      end
    end
  end
end